> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Trello Action

> Create a new action



## OpenAPI

````yaml post /workspace/trello/{workspaceId}/actions
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /workspace/trello/{workspaceId}/actions:
    post:
      tags:
        - Workspace
      description: Create a new action
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - trigger
                      - action
                  group:
                    type: string
                  name:
                    type: string
                  fields:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - regex
                            - warn
                            - demote
                            - resignation
                            - suspend
                            - promote
                            - terminate
                            - reminder
                            - revoke_warning
                        value:
                          type: string
                        reset_type:
                          type: string
                          enum:
                            - never
                            - after
                            - 'on'
                        after:
                          type: number
                        'on':
                          type: number
                        grace:
                          type: number
                      required:
                        - type
                required:
                  - type
                  - name
                  - fields
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                description: Successful response
                properties:
                  _id:
                    type: string
                  triggers:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        group:
                          type: string
                        name:
                          type: string
                        fields:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                              value:
                                type: string
                              reset_type:
                                type: string
                              after:
                                type: number
                              'on':
                                type: number
                              grace:
                                type: number
                            required:
                              - type
                      required:
                        - type
                        - name
                        - fields
                  workspace:
                    type: string
                  created_by:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - _id
                  - triggers
                  - workspace
                  - created_by
                  - createdAt
                  - updatedAt
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````